<?php

namespace App\Models;

use App\Models\Service_Model as Model;
use App\Traits\NextKey;

class ServiceVoip extends Model
{
	use NextKey;
	protected $table = 'ab_service__voip';
	public $timestamps = FALSE;

	public function getFullNameAttribute()
	{
		return ($this->service_number AND $this->service_address)
			? sprintf('%s: %s',$this->service_number, $this->service_address)
			: $this->name;
	}

	public function getNameAttribute()
	{
		return $this->service_number;
	}
}