@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Service #{{ $o->id }}
@endsection

@section('contentheader_title')
	Service #
@endsection
@section('contentheader_description')
	{{ $o->service_id }}
@endsection

@section('main-content')
	<div class="col-md-12">
		<div class="box box-primary">
			<form role="form" method="POST" enctype="multipart/form-data">
				{{ csrf_field() }}

				<div class="box-header with-border">
					<h3 class="box-title">Service Information</h3>
				</div>

				<div class="box-body">

					<div class="col-md-3">
						@switch($o->order_status)
							@case('ORDER-SUBMIT')
								@include('a.widgets.service.order.submit')
								@break

							@default
								@include('u.widgets.service_info')
						@endswitch
					</div>

					@if($o->order_status == 'ORDER-REQUEST')
						<div class="col-md-3">
							@include('a.widgets.service_order-request')
						</div>
					@endif
				</div>

				<div class="box-footer">
					@switch($o->order_status)
						@case('ORDER-SUBMIT')
							<button type="submit" class="btn btn-info btn-danger" name="action" value="reject">Reject</button>
							@break;
					@endswitch

					<button type="submit" class="btn btn-info" name="action" value="save">Save</button>
				</div>
			</form>
		</div>
	</div>
@endsection